#include "RealmObject.h"
#include "RealmObjectType.h"
#include "RealmObjectPositioner.h"

void RealmObject::init(RealmObjectType* otype, int w, int h) {
	object_type = otype;
	width = w; height = h;
	positioner = nullptr;
}

void RealmObject::draw(SDL_Renderer* renderer) {
	if (positioner) {
		double scalefactor = positioner->getScaleFactor();
		object_type->drawAt(renderer, positioner->getScreenLocation(), width * scalefactor, height * scalefactor);
	}
}
