#ifndef _SVG2SDL_H_
	#define _SVG2SDL_H_

#include <SDL2/SDL.h>
#include "lunasvg.h"
#include "XYLocation.h"

using namespace lunasvg;

class SVG2SDL {
	public:

		void load(const std::string& filename);
		SDL_Texture* renderToTexture(SDL_Renderer* renderer, int width, int height);
		void drawTexture(SDL_Renderer* renderer, SDL_Texture* texture, XYLocation center);

		void cleanupTexture(SDL_Texture* texture);

	private:
		std::unique_ptr<lunasvg::Document> document;
};


#endif
