
#include "CApp.h"
#include "HexGridDisplay.h"
#include "XYLocation.h"
#include "RGBColor.h"
#include <time.h>
#include <iostream>

using namespace std;



void CApp::OnLoop() {

	view->update();

	if (time(NULL) > last_time) {
		//cout << "Frames since last second: " << frames_since_sec << endl;
		frames_since_sec = 0;
		last_time = time(NULL);

		if (first_tick && last_time > start_time + 1) {
			view->zoomIn();

			first_tick = false;
		}

		// move timed objects every second
		view->autoUpdateObjects();
	} else {
		frames_since_sec++;
	}

	frames_since_sec++;

	view->updateTextures(S_Renderer);
	view->draw(S_Renderer);
}
