## Realm of the 7thPower

[Realm of the 7th Power](http://7thPower.org/)

Experimental test release!

Build instructions:

* Make sure you have SDL2, SDL2_gfx, and LunaSVG installed.  Tweak Makefile locations if necessary.
* Run 'make'
* ./bin/Debug/7thPower

Make sure you run it with the current directory one level above the "svg" directory, or there will be errors loading the svg files, since the code assumes they will be there.  A more robust data loading location / build and install process may be implemented in the future.  For now, this is all just a test experiment.  Enjoy!


### Keyboard navigation:

  * Numeric keypad: 1, 3, 7, 9 to navigate diagonally, all view levels
  * Numeric keypad: 2, 4, 6, 8 up down left right, when applicable to current view level
  * + : Zoom in to a closer view level
  * - : Zoom out to farther view level
  * tab (at zoomed-in scene view): rotate view focus between pieces
  * PageDown/PageUp: Increase/decrease base hex radius
  * "M": activate elevation map


#### Ways to trigger interesting state changes (unplanned but exlainable behavior; not bugs, but happy accidents!)...

Try hitting + / - in rapid succession, especially if moving from view level 2, can trigger the different view planes to zoom in opposite directions by sending the first press event to one view plane, and the second to another before it has reached its target level, depending on the order and timing of the key presses.

Using PageUp/PageDown to change the base radius size, before and/or after using "M" to activate the map display.  Will cause wacky gaps and/or clipping of the hex map portions, due to the way the texture buffers are not setup to resize even when the base radius changes.  Again, it's not a bug, but a happy accident in the art!  (Although the behavior may potentially be changed in future releases.)

To lock in a movement direction on a given view level, hold down one of the directional keypad numbers, and then while holding that pushing + or - to zoom in/out.  If keypad direction key is held until after the zoom finishes, the corresponding "key up" event will be sent to the new object instead when the key is released.  Zooming back to the previous level, movement will continue until the same key is pressed (and released) again.

