
#ifndef __REALMSCENEELEVATIONMASTERMAP_H
	#define __REALMSCENEELEVATIONMASTERMAP_H

#include "RealmSceneElevationMap.h"

class RealmSceneElevationMapRepository;

class RealmSceneElevationMasterMap: public RealmSceneElevationMap {
	// master map will be rendered (hardcoded initially) with a radius of 4 and wraparound properties

public:
	RealmSceneElevationMasterMap(RealmSceneElevationMapRepository* maprepo, RealmMapKey mapkey): RealmSceneElevationMap(maprepo, mapkey, 61) {}
	~RealmSceneElevationMasterMap() { }

	int findElevation(long int spiralidx);

	RealmSceneElevationMap* getCenterMap() { return this; }

	int getBaseVariance();

	bool isInverted();

	void populate();
	void populateStep();
	void populateToStep(int step) { populateStep(); }

	void populateNeighborStep() {}
	void populateNeighbors() {}
};


#endif // __REALMSCENEELEVATIONMASTERMAP_H
