
#ifndef _CONST7_H_
	#define _CONST7_H_

// magic numbers!!!



// stores the square root of 3 for use throughout the app to avoid recalculating
#define SQRT_3 1.7320508075688772

// ratio between a hex radius at a given zoom level and one level up
// orig formula: 1.5 * Radius * SQRT_3 + ( (Radius / 2) * (1 / SQRT_3) )
// simplify:
/*
	1.5   Radius   SQRT_3     Radius     1
	--- * ------ * ------  +  ------ * ------
	 1       1        1          2     SQRT_3

	                  =
	 Radius * (SQRT_3 * 1.5 + 1 / (2*SQRT_3) )
*/

#define HEX_ZOOM_RATIO 2.886751345948129

// size of  hex spiral for a single scene
#define SCENE_SPIRAL_SIZE 547

// Number of hexes from center to edge of a single realm map
#define REALM_MAP_RADIUS 13

#endif
